Subject: mime/types file format query

From: Mike Brudenell <[email-masked]>
Date: Tue, 29 Aug 1995 11:59:52 +0100 (BST)

I realise this question is not (yet) directly relevant to Pine (Mailcap 
and/or mime.types support coming in a future release?), but in the hope 
that someone can help...

>From various packages in the past I understood the format of entries in a 
mime.types file to look something like this:

application/postscript		.ai .ps .eps

However we have justed installed WebForce (Netscape, WebMagic, etc) on 
our SGI systems and I have found that the mime.types file it installed 
looks like this:

#--Netscape Communications Corporation MIME Information
# Do not delete the above line. It is used to identify the file type.

type=application/octet-stream  exts=bin,exe       icon=binary.xbm
type=application/oda           exts=oda
type=application/pdf           exts=pdf
type=application/postscript    exts=ai,eps,ps     icon=text.xbm
type=application/rtf           exts=rtf

Is the former simply a cut down version of the latter?  Is the latter a 
newer/more fully specified version of the former?  Do programs other an 
Netscape understand both formats?  Does Netscape 1.1S understand the 
former?  What about the forthocoming Pine?

Basically, which should I be using? -- They look so different!

Thanks for any advice you can give!

Mike Brudenell                                         <[email-masked]>
------------------------------------------------------------------------
The Computing Service, University of York, Heslington, York, YO1 5DD, UK
Tel: +44-1904-433811  FAX: +44-1904-433740  http://www.york.ac.uk/~pmb1/